import { GraphQLSchema } from 'graphql';
import { SchemaBuilderContext } from '../utils';
export interface GatewayMixinOptions {
    name?: string;
    apollo?: {} | boolean;
    routeOptions?: any;
    subscriptionEventName?: string;
    serverOptions?: any;
    schema?: any;
    schemaBuilder?: (context: SchemaBuilderContext) => Promise<GraphQLSchema>;
}
