import { ApolloLink, Observable, Operation, RequestHandler } from 'apollo-link';
import { ExecutionResult } from 'graphql';
import { ServiceBroker } from 'moleculer';
export interface ServiceOptions {
    broker: ServiceBroker;
    serviceName: string;
}
export declare class MoleculerLink extends ApolloLink {
    requester: RequestHandler;
    constructor(opts: ServiceOptions);
    request(op: Operation): Observable<ExecutionResult> | null;
}
