import { DocumentNode } from "graphql";
import { ServiceSchema } from "moleculer";
export interface GraphQLServiceCacheOptions {
    cacheSchema?: {
        prefix?: string;
        name?: string;
    };
    cacheResult?: {
        enable: boolean;
        ttl?: number;
    };
}
export interface GraphQLServiceMixinOptions {
    schema: string | DocumentNode;
    action?: string;
    cache?: GraphQLServiceCacheOptions;
}
export declare const CANNOT_BUILD_GRAPHQL_SCHEMA: string;
export declare function GraphQLServiceMixin(options: GraphQLServiceMixinOptions): ServiceSchema;
